Entur Developer
Products

fare-tables

Server

Retrieves all faretables. Limiting selection by fareFrameId parameter is supported

GET
https://api.entur.io/products
/fare-tables

Retrieves all faretables. Limiting selection by fareFrameId parameter is supported › query Parameters

orgId
​string · style: form · explode: true
fareFrameId
​string · style: form · explode: true

The unique id to identify data owned by organisation

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

minimizeDataLoad
​string · style: form · explode: true

if set to true fare table cells will be omitted

statusFilter
​string[] · style: form · explode: true

Filter by status. Allowed values: DRAFT, PROPOSED, VERSIONED, DEPRECATED, ALL. Defaults to ALL if not specified. Mutually exclusive with validOnDate.

validOnDate
​string · style: form · explode: true

Return the FareTables valid on this date, example: 2024-06-01T00:00:00Z. Note that, if called in the production environment, only VERSIONED FareTables are returned. And in the staging environment, PROPOSED FareTables are preferred to VERSIONED ones. Mutually exclusive with statusFilter.

Retrieves all faretables. Limiting selection by fareFrameId parameter is supported › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves all faretables. Limiting selection by fareFrameId parameter is supported › Responses

Returns the info

​FareTable[]
A FareTable
​Cell[] · required

Cell

changed
​string · date-time · required

Changed datetime.

created
​string · date-time · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FareTable:Ordinary
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: FareTable
​FarePrice[] · required

FarePrice.

status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description.

endDate
​string · date

EndDate.

Example: 2017-11-11
​TextInLanguage[]

Name.

organisationId
​string · readOnly

Organisation related to the fare table

startDate
​string · date

StartDate.

Example: 2017-11-11

Create a fare table

POST
https://api.entur.io/products
/fare-tables

Create a fare table › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a fare table › Request Body

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FareTable:Ordinary
​TextInLanguage[] · required

Name.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
​CellInsert[]

Cell

compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description.

endDate
​string · date

EndDate.

​FarePriceInsert[]

FarePrice.

startDate
​string · date

StartDate.

​VersionOfObjectRef

Fare frame ref.

Create a fare table › Responses

Entity created successfully

No data returned

Retrieves the number of fareTables. Limiting selection by fareFrameId and orgId parameter is supported

GET
https://api.entur.io/products
/fare-tables/count

Retrieves the number of fareTables. Limiting selection by fareFrameId and orgId parameter is supported › query Parameters

orgId
​string · style: form · explode: true

The unique id to identify a organisation

fareFrameId
​string · style: form · explode: true

The unique id to idetify data owned by organisation

statusFilter
​string[] · style: form · explode: true

Filter by status. Allowed values: DRAFT, PROPOSED, VERSIONED, DEPRECATED, ALL. Defaults to ALL if not specified. Mutually exclusive with validOnDate.

validOnDate
​string · style: form · explode: true

Count FareTables valid on this date, example: 2024-06-01T00:00:00Z. Note that, if called in the production environment, only VERSIONED FareTables are counted. And in the staging environment, PROPOSED FareTables are preferred to VERSIONED ones. Mutually exclusive with statusFilter.

Retrieves the number of fareTables. Limiting selection by fareFrameId and orgId parameter is supported › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves the number of fareTables. Limiting selection by fareFrameId and orgId parameter is supported › Responses

Returs the info

Count
numberOfElements
​integer · int32 · required

number of elements

Example: 369

Retrieves fareTables for a given page. Limiting selection by fareFrameId and orgId parameter is supported

GET
https://api.entur.io/products
/fare-tables/pages

Retrieves fareTables for a given page. Limiting selection by fareFrameId and orgId parameter is supported › query Parameters

pageSize
​integer · int32 · required · style: form · explode: true

Size of page

pageNumber
​integer · int32 · required · style: form · explode: true

Page number

orgId
​string · style: form · explode: true
fareFrameId
​string · style: form · explode: true

The unique id to identify data owned by organisation

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

minimizeDataLoad
​string · style: form · explode: true

if set to true fare table cells will be omitted

statusFilter
​string[] · style: form · explode: true

Filter by status. Allowed values: DRAFT, PROPOSED, VERSIONED, DEPRECATED, ALL. Defaults to ALL if not specified. Mutually exclusive with validOnDate.

validOnDate
​string · style: form · explode: true

Return the FareTables valid on this date, example: 2024-06-01T00:00:00Z. Note that, if called in the production environment, only VERSIONED FareTables are returned. And in the staging environment, PROPOSED FareTables are preferred to VERSIONED ones. Mutually exclusive with statusFilter.

Retrieves fareTables for a given page. Limiting selection by fareFrameId and orgId parameter is supported › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves fareTables for a given page. Limiting selection by fareFrameId and orgId parameter is supported › Responses

Returns the info

FareTablePageWrapper
​FareTable[] · readOnly · required

Fare Tables for the given page

requestedPageNumber
​integer · int32 · required

Number of the requested page. In case state is lost

Example: 369
totalNumberOfItems
​integer · int32 · required

Total number of items.

Example: 369
totalNumberOfPages
​integer · int32 · readOnly · required

Number of pages needed to traverse all items.

Example: 15

Retrives a faretable by product id

GET
https://api.entur.io/products
/fare-tables/products/{id}

Retrives a faretable by product id › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a product

Retrives a faretable by product id › query Parameters

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

Retrives a faretable by product id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrives a faretable by product id › Responses

Returns the resource

​FareTable[]
A FareTable
​Cell[] · required

Cell

changed
​string · date-time · required

Changed datetime.

created
​string · date-time · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FareTable:Ordinary
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: FareTable
​FarePrice[] · required

FarePrice.

status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description.

endDate
​string · date

EndDate.

Example: 2017-11-11
​TextInLanguage[]

Name.

organisationId
​string · readOnly

Organisation related to the fare table

startDate
​string · date

StartDate.

Example: 2017-11-11

Updates a FarePrice for FareTable

PATCH
https://api.entur.io/products
/fare-tables/{ftId}/cells/{cellId}/fare-prices

Updates a FarePrice for FareTable › path Parameters

ftId
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a fare table

cellId
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a cell

Updates a FarePrice for FareTable › query Parameters

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: form · explode: true
fareTableVersionId
​string · style: form · explode: true

The versjon of the fare table

Updates a FarePrice for FareTable › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Updates a FarePrice for FareTable › Request Body

amount
​number · double

Amount in the currency selected at create operation

Example: 16.5
discountPercentageUsed
​integer · int32

Discount in percentageUsed

Example: 40

Updates a FarePrice for FareTable › Responses

Entity updated successfully

No data returned

Retrieves a fare table by id

GET
https://api.entur.io/products
/fare-tables/{id}

Note! Only fare tables with active versions will be fetched

Retrieves a fare table by id › path Parameters

id
​string · required · style: simple

The unique id to identify a fare table

Retrieves a fare table by id › query Parameters

version
​string · style: form · explode: true

The id for the version of the fare table

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

minimizeDataLoad
​string · style: form · explode: true

if set to true fare table cells will be omitted

validOnDate
​string · date-time · style: form · explode: true

Return the version valid on the given date (ISO-8601). Overrides 'version'. In prod returns the VERSIONED element; in staging/dev PROPOSED is preferred over VERSIONED.

Retrieves a fare table by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves a fare table by id › Responses

Returns the fare table

A FareTable
​Cell[] · required

Cell

changed
​string · date-time · required

Changed datetime.

created
​string · date-time · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FareTable:Ordinary
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: FareTable
​FarePrice[] · required

FarePrice.

status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description.

endDate
​string · date

EndDate.

Example: 2017-11-11
​TextInLanguage[]

Name.

organisationId
​string · readOnly

Organisation related to the fare table

startDate
​string · date

StartDate.

Example: 2017-11-11

Retrieves a fare table by id and version

GET
https://api.entur.io/products
/fare-tables/{id}/{version}

Retrieves a fare table by id and version › path Parameters

id
​string · required · style: simple

The unique id to identify a fare table

version
​string · required · style: simple

The id for the version of the fare table

Retrieves a fare table by id and version › query Parameters

minimizeDataLoad
​string · style: form · explode: true

if set to true fare table cells will be omitted

Retrieves a fare table by id and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves a fare table by id and version › Responses

Returns the fare table

A FareTable
​Cell[] · required

Cell

changed
​string · date-time · required

Changed datetime.

created
​string · date-time · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FareTable:Ordinary
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: FareTable
​FarePrice[] · required

FarePrice.

status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description.

endDate
​string · date

EndDate.

Example: 2017-11-11
​TextInLanguage[]

Name.

organisationId
​string · readOnly

Organisation related to the fare table

startDate
​string · date

StartDate.

Example: 2017-11-11

Update a faretable

PUT
https://api.entur.io/products
/fare-tables/{id}/{version}

Update a faretable › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a fare table

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the fare table

Update a faretable › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update a faretable › Request Body

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FareTable:Ordinary
​TextInLanguage[] · required

Name.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
​CellInsert[]

Cell

compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description.

endDate
​string · date

EndDate.

​FarePriceInsert[]

FarePrice.

startDate
​string · date

StartDate.

​VersionOfObjectRef

Fare frame ref.

Update a faretable › Responses

Entity updated successfully

No data returned

Retrieves a fare table by id

GET
https://api.entur.io/products
/v1/fare-tables/{id}

Retrieves a fare table by id › path Parameters

id
​string · required · style: simple

The unique id to identify a fare table

Retrieves a fare table by id › query Parameters

startDate
​string · style: form · explode: true
endDate
​string · style: form · explode: true
status
​string · style: form · explode: true

The version status of the fare table

minimizeDataLoad
​string · style: form · explode: true

if set to true fare table cells will be omitted

fromDate
​string · style: form · explode: true

The from date of the fare tables version

toDate
​string · style: form · explode: true

The to date of the fare tables version

Retrieves a fare table by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves a fare table by id › Responses

Returns the fare table

​FareTable[]
A FareTable
​Cell[] · required

Cell

changed
​string · date-time · required

Changed datetime.

created
​string · date-time · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FareTable:Ordinary
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: FareTable
​FarePrice[] · required

FarePrice.

status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description.

endDate
​string · date

EndDate.

Example: 2017-11-11
​TextInLanguage[]

Name.

organisationId
​string · readOnly

Organisation related to the fare table

startDate
​string · date

StartDate.

Example: 2017-11-11

Did you find what you were looking for?